<?xml version='1.0' encoding='ISO-8859-1'?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:template match="content">
    <xsl:variable name="mediaPath">media/org/esupportail/portal/channels/CSympaMultiServeur</xsl:variable>
    
    <xsl:choose>
      <xsl:when test='image'>
	<img><xsl:attribute name="src"><xsl:value-of select="image"/></xsl:attribute><xsl:attribute name="alt">logo du serveur de listes SYMPA</xsl:attribute></img>
      </xsl:when>
      <xsl:otherwise>
	<img src="{$mediaPath}/logo.gif" alt="logo du serveur de listes SYMPA"/>
      </xsl:otherwise>
    </xsl:choose>
    
    <xsl:choose>
      <xsl:when test='display="owner"'>
		Liste des listes dont vous &#234;tes propri&#233;taire <xsl:value-of select="defaultText"/>. <br/><br/>
      	<ul>
			<xsl:for-each  select="liste">
			  <xsl:if test='owner="1"'>	   
			      <li><a class="uportal-text"><xsl:attribute name="href"><xsl:value-of select="homepage"/></xsl:attribute><xsl:attribute name="target">_blank</xsl:attribute><b><xsl:text> </xsl:text><xsl:value-of select="listAddress"/></b></a> : 
			      <xsl:value-of select="subject"/> 
			      </li>	    
			  </xsl:if>	  
			</xsl:for-each>
		</ul>
      </xsl:when>
      <xsl:when test='display="subscriber"'>
        Liste des listes auxquelles vous &#234;tes abonn&#233;es <xsl:value-of select="defaultText"/>. <br/><br/>
	    <ul>
			<xsl:for-each  select="liste">
			  <xsl:if test='subscriber="1"'>	    
			      <li><a class="uportal-text"><xsl:attribute name="href"><xsl:value-of select="homepage"/></xsl:attribute><xsl:attribute name="target">_blank</xsl:attribute><b><xsl:text> </xsl:text><xsl:value-of select="listAddress"/></b></a> : 
			      <xsl:value-of select="subject"/>
			      </li>
			  </xsl:if>
			</xsl:for-each>
	    </ul>
      </xsl:when>
      <xsl:when test='display="editor"'>
        Liste des listes dont vous &#234;tes mod&#233;rateur <xsl:value-of select="defaultText"/>. <br/><br/>
	    <ul>   
			<xsl:for-each  select="liste">
				<xsl:if test='editor="1"'>
			      <li><a class="uportal-text"><xsl:attribute name="href"><xsl:value-of select="homepage"/></xsl:attribute><xsl:attribute name="target">_blank</xsl:attribute><b><xsl:text> </xsl:text><xsl:value-of select="listAddress"/></b></a> : 
			      <xsl:value-of select="subject"/> :  <xsl:value-of select="owner"/> :  <xsl:value-of select="suscriber"/> :  <xsl:value-of select="editor"/>  
			      </li>
		    	</xsl:if>
			</xsl:for-each>
		</ul>
      </xsl:when>
      <xsl:otherwise>
          <!-- Liste de vos Abonnements <xsl:value-of select="defaultText"/>. <br/><br/>-->
	  <table cellspacing="5" SUMMARY="Liste de vos abonnements sur le serveur de gestion de listes de diffusions, avec votre(vos) r&#244;le(s) pour chaque liste (simple abonn&#233;, mod&#233;rateur, propri&#233;taire)">
	  <caption>Liste de vos Abonnements <xsl:value-of select="defaultText"/>.</caption>
	  <THEAD>
	    <tr>
	      <th>Nom de la Liste</th>
	      <th>Description</th>
	      <th>Propri&#233;taire</th>
	      <th>Abonn&#233;</th>
	      <th>Mod&#233;rateur</th>
	    </tr>
	    </THEAD>
	    <TBODY>
	    <xsl:for-each  select="liste">
	      <tr>
		<td align="left">
		<a class="uportal-text"><xsl:attribute name="href"><xsl:value-of select="homepage"/></xsl:attribute><xsl:attribute name="target">_blank</xsl:attribute><b><xsl:text> </xsl:text><xsl:value-of select="listAddress"/></b></a> 
		</td>
		<td align="left"><xsl:value-of select="subject"/> </td>
		<td align="center"> <xsl:if test='owner="1"'> 
		  <img src="{$mediaPath}/ok.gif" alt="Vous &#234;tes propri&#233;taire"/>
		</xsl:if></td>
		<td align="center">  <xsl:if test='suscriber="1"'> 
		  <img src="{$mediaPath}/ok.gif" alt="Vous &#234;tes Abonn&#233;"/>
		</xsl:if> </td>
		<td align="center">  <xsl:if test='editor="1"'> 
		  <img src="{$mediaPath}/ok.gif" alt="Vous &#234;tes Mod&#233;rateur"/>
		</xsl:if> </td>		
	      </tr>
	    </xsl:for-each>
	    </TBODY>
	  </table>
      </xsl:otherwise>
    </xsl:choose>
    
  </xsl:template>
  
  
  
</xsl:stylesheet>